Subject: Re: [PATCH v2 iproute2 0/3] Multiple Spanning Tree (MST) Support

From: Tobias Waldekranz <[email-masked]>
Date: Wed, 26 Jun 2024 08:33:31 +0200

On ons, jun 26, 2024 at 09:11, Nikolay Aleksandrov <[email-masked]> wrote:
> On 24/06/2024 16:00, Tobias Waldekranz wrote:
>> This series adds support for:
>> 
>> - Enabling MST on a bridge:
>> 
>>       ip link set dev <BR> type bridge mst_enable 1
>> 
>> - (Re)associating VLANs with an MSTI:
>> 
>>       bridge vlan global set dev <BR> vid <X> msti <Y>
>> 
>> - Setting the port state in a given MSTI:
>> 
>>       bridge mst set dev <PORT> msti <Y> state <Z>
>> 
>> - Listing the current port MST states:
>> 
>>       bridge mst show
>> 
>> NOTE: Multiple spanning tree support was added to Linux a couple of
>> years ago[1], but the corresponding iproute2 patches were never
>> posted. Mea culpa. Yesterday this was brought to my attention[2],
>> which is why you are seeing them today.
>> 
>> [1]: https://lore.kernel.org/netdev/[email-masked]/
>> [2]: https://lore.kernel.org/netdev/Zmsc54cVKF1wpzj7@Laptop-X1/
>> 
>> v1 -> v2:
>> - Require exact match for "mst_enabled" bridge option (Liu)
>> 
>> Tobias Waldekranz (3):
>>   ip: bridge: add support for mst_enabled
>>   bridge: vlan: Add support for setting a VLANs MSTI
>>   bridge: mst: Add get/set support for MST states
>> 
>>  bridge/Makefile       |   2 +-
>>  bridge/br_common.h    |   1 +
>>  bridge/bridge.c       |   3 +-
>>  bridge/mst.c          | 262 ++++++++++++++++++++++++++++++++++++++++++
>>  bridge/vlan.c         |  13 +++
>>  ip/iplink_bridge.c    |  19 +++
>>  man/man8/bridge.8     |  66 ++++++++++-
>>  man/man8/ip-link.8.in |  14 +++
>>  8 files changed, 377 insertions(+), 3 deletions(-)
>>  create mode 100644 bridge/mst.c
>> 
>
> Thanks for posting these, I was also wondering what happened with iproute2 support.
> I had to do quick hacks to test my recent mst fixes and I almost missed this set,
> please CC bridge maintainers on such changes as well. 

Sorry about that, I'll make sure to remember it in the future.

Thanks for reviewing!